Index: drivers/dahdi/wctdm24xxp/base.c
===================================================================
--- drivers/dahdi/wctdm24xxp/base.c	(revision 4608)
+++ drivers/dahdi/wctdm24xxp/base.c	(working copy)
@@ -2734,19 +2734,19 @@
 {
 
 	if (wc->dacssrc[dstcard] > - 1) {
-		printk("wctdm_dacs_connect: Can't have double sourcing yet!\n");
+		printk(KERN_NOTICE "wctdm_dacs_connect: Can't have double sourcing yet!\n");
 		return;
 	}
 	if (!((wc->modtype[srccard] == MOD_TYPE_FXS)||(wc->modtype[srccard] == MOD_TYPE_FXO))){
-		printk("wctdm_dacs_connect: Unsupported modtype for card %d\n", srccard);
+		printk(KERN_NOTICE "wctdm_dacs_connect: Unsupported modtype for card %d\n", srccard);
 		return;
 	}
 	if (!((wc->modtype[dstcard] == MOD_TYPE_FXS)||(wc->modtype[dstcard] == MOD_TYPE_FXO))){
-		printk("wctdm_dacs_connect: Unsupported modtype for card %d\n", dstcard);
+		printk(KERN_NOTICE "wctdm_dacs_connect: Unsupported modtype for card %d\n", dstcard);
 		return;
 	}
 	if (debug)
-		printk("connect %d => %d\n", srccard, dstcard);
+		printk(KERN_DEBUG "connect %d => %d\n", srccard, dstcard);
 	wc->dacssrc[dstcard] = srccard;
 
 	/* make srccard transmit to srccard+24 on the TDM bus */
@@ -2777,7 +2777,7 @@
 {
 	if (wc->dacssrc[card] > -1) {
 		if (debug)
-			printk("wctdm_dacs_disconnect: restoring TX for %d and RX for %d\n",wc->dacssrc[card], card);
+			printk(KERN_DEBUG "wctdm_dacs_disconnect: restoring TX for %d and RX for %d\n",wc->dacssrc[card], card);
 
 		/* restore TX (source card) */
 		if(wc->modtype[wc->dacssrc[card]] == MOD_TYPE_FXS){
@@ -2787,7 +2787,7 @@
 			wctdm_setreg(wc, card, 34, (card * 8) & 0xff);
 			wctdm_setreg(wc, card, 35, (card * 8) >> 8);
 		} else {
-			printk("WARNING: wctdm_dacs_disconnect() called on unsupported modtype\n");
+			printk(KERN_WARNING "WARNING: wctdm_dacs_disconnect() called on unsupported modtype\n");
 		}
 
 		/* restore RX (this card) */
@@ -2798,7 +2798,7 @@
 			wctdm_setreg(wc, card, 36, (card * 8) & 0xff);
 			wctdm_setreg(wc, card, 37, (card * 8) >> 8);
 		} else {
-			printk("WARNING: wctdm_dacs_disconnect() called on unsupported modtype\n");
+			printk(KERN_WARNING "WARNING: wctdm_dacs_disconnect() called on unsupported modtype\n");
 		}
 
 		wc->dacssrc[card] = -1;
@@ -2817,11 +2817,11 @@
 	if(src) {
 		wctdm_dacs_connect(wc, src->chanpos - 1, dst->chanpos - 1);
 		if (debug)
-			printk("dacs connecct: %d -> %d!\n\n", src->chanpos, dst->chanpos);
+			printk(KERN_DEBUG "dacs connecct: %d -> %d!\n\n", src->chanpos, dst->chanpos);
 	} else {
 		wctdm_dacs_disconnect(wc, dst->chanpos - 1);
 		if (debug)
-			printk("dacs disconnect: %d!\n", dst->chanpos);
+			printk(KERN_DEBUG "dacs disconnect: %d!\n", dst->chanpos);
 	}
 	return 0;
 }
@@ -2840,7 +2840,7 @@
 	wc->span.manufacturer = "Digium";
 	strncpy(wc->span.devicetype, wc->variety, sizeof(wc->span.devicetype) - 1);
 	if (alawoverride) {
-		printk("ALAW override parameter detected.  Device will be operating in ALAW\n");
+		printk(KERN_INFO "ALAW override parameter detected.  Device will be operating in ALAW\n");
 		wc->span.deflaw = DAHDI_LAW_ALAW;
 	} else
 		wc->span.deflaw = DAHDI_LAW_MULAW;
@@ -2991,11 +2991,11 @@
 			if (enable) {
 				res = gpakAlgControl(vpm150m->dspid, i, EnableDTMFMuteA, &pstatus);
 				if (debug & DEBUG_ECHOCAN)
-					printk("DTMF mute enable took %d ms\n", wc->intcount - start);
+					printk(KERN_DEBUG "DTMF mute enable took %d ms\n", wc->intcount - start);
 			} else {
 				res = gpakAlgControl(vpm150m->dspid, i, DisableDTMFMuteA, &pstatus);
 				if (debug & DEBUG_ECHOCAN)
-					printk("DTMF mute disable took %d ms\n", wc->intcount - start);
+					printk(KERN_DEBUG "DTMF mute disable took %d ms\n", wc->intcount - start);
 			}
 			if (!res)
 				change_bit(i, &vpm150m->curdtmfmutestate);
@@ -3013,10 +3013,10 @@
 			res = gpakReadEventFIFOMessage(vpm150m->dspid, &channel, &eventcode, &eventdata);
 
 			if (debug & DEBUG_ECHOCAN)
-				printk("ReadEventFIFOMessage took %d ms\n", wc->intcount - start);
+				printk(KERN_DEBUG "ReadEventFIFOMessage took %d ms\n", wc->intcount - start);
 
 			if (res == RefInvalidEvent || res == RefDspCommFailure) {
-				printk("VPM Comm Error\n");
+				printk(KERN_NOTICE "VPM Comm Error\n");
 				continue;
 			}
 
@@ -3030,7 +3030,7 @@
 				char zaptone = vpm150mtone_to_zaptone(tone);
 
 				if (debug & DEBUG_ECHOCAN)
-					printk("Channel %d: Detected DTMF tone %d of duration %d!!!\n", channel + 1, tone, duration);
+					printk(KERN_DEBUG "Channel %d: Detected DTMF tone %d of duration %d!!!\n", channel + 1, tone, duration);
 
 				if (test_bit(channel, &wc->dtmfmask) && (eventdata.toneEvent.ToneDuration > 0)) {
 					struct dahdi_chan *chan = wc->chans[channel];
@@ -3052,13 +3052,13 @@
 						}
 						if (!test_bit(channel, &wc->dtmfactive)) {
 							if (debug & DEBUG_ECHOCAN)
-								printk("Queuing DTMFDOWN %c\n", zaptone);
+								printk(KERN_DEBUG "Queuing DTMFDOWN %c\n", zaptone);
 							set_bit(channel, &wc->dtmfactive);
 							dahdi_qevent_lock(chan, (DAHDI_EVENT_DTMFDOWN | zaptone));
 						}
 					} else if ((tone == EndofMFDigit) && test_bit(channel, &wc->dtmfactive)) {
 						if (debug & DEBUG_ECHOCAN)
-							printk("Queuing DTMFUP %c\n", vpm150mtone_to_zaptone(vpm150m->curtone[channel]));
+							printk(KERN_DEBUG "Queuing DTMFUP %c\n", vpm150mtone_to_zaptone(vpm150m->curtone[channel]));
 						dahdi_qevent_lock(chan, (DAHDI_EVENT_DTMFUP | vpm150mtone_to_zaptone(vpm150m->curtone[channel])));
 						clear_bit(channel, &wc->dtmfactive);
 					}
@@ -3081,7 +3081,7 @@
 			GpakChannelConfig_t chanconfig;
 
 			if (debug & DEBUG_ECHOCAN)
-				printk("Reconfiguring chan %d for nlp %d, nlp_thresh %d, and max_supp %d\n", i + 1, vpm150m->desiredecstate[i].nlp_type,
+				printk(KERN_DEBUG "Reconfiguring chan %d for nlp %d, nlp_thresh %d, and max_supp %d\n", i + 1, vpm150m->desiredecstate[i].nlp_type,
 					vpm150m->desiredecstate[i].nlp_threshold, vpm150m->desiredecstate[i].nlp_max_suppress);
 
 			vpm150m_set_chanconfig_from_state(&vpm150m->desiredecstate[i], i, &chanconfig);
@@ -3101,11 +3101,11 @@
 			if (vpm150m->desiredecstate[i].tap_length) {
 				res = gpakAlgControl(vpm150m->dspid, i, EnableEcanA, &pstatus);
 				if (debug & DEBUG_ECHOCAN)
-					printk("Echocan enable took %d ms\n", wc->intcount - start);
+					printk(KERN_DEBUG "Echocan enable took %d ms\n", wc->intcount - start);
 			} else {
 				res = gpakAlgControl(vpm150m->dspid, i, BypassEcanA, &pstatus);
 				if (debug & DEBUG_ECHOCAN)
-					printk("Echocan disable took %d ms\n", wc->intcount - start);
+					printk(KERN_DEBUG "Echocan disable took %d ms\n", wc->intcount - start);
 			}
 		}
 
@@ -3198,15 +3198,15 @@
 	portconfig.EightSlotMask3 = 0x0000;
 
 	if ((configportstatus = gpakConfigurePorts(vpm150m->dspid, &portconfig, &pstatus))) {
-		printk("Configuration of ports failed (%d)!\n", configportstatus);
+		printk(KERN_NOTICE "Configuration of ports failed (%d)!\n", configportstatus);
 		return -1;
 	} else {
 		if (debug & DEBUG_ECHOCAN)
-			printk("Configured McBSP ports successfully\n");
+			printk(KERN_DEBUG "Configured McBSP ports successfully\n");
 	}
 
 	if ((res = gpakPingDsp(vpm150m->dspid, &vpm150m->version))) {
-		printk("Error pinging DSP (%d)\n", res);
+		printk(KERN_NOTICE "Error pinging DSP (%d)\n", res);
 		return -1;
 	}
 
@@ -3224,29 +3224,30 @@
 		vpm150m_set_chanconfig_from_state(&vpm150m->curecstate[i], i, &chanconfig);
 	
 		if ((res = gpakConfigureChannel(vpm150m->dspid, i, tdmToTdm, &chanconfig, &cstatus))) {
-			printk("Unable to configure channel (%d)\n", res);
+			printk(KERN_NOTICE "Unable to configure channel (%d)", res);
 			if (res == 1) {
-				printk("Reason %d\n", cstatus);
+				printk(", reason %d", cstatus);
 			}
+			printk("\n");
 	
 			return -1;
 		}
 
 		if ((res = gpakAlgControl(vpm150m->dspid, i, BypassEcanA, &algstatus))) {
-			printk("Unable to disable echo can on channel %d (reason %d:%d)\n", i + 1, res, algstatus);
+			printk(KERN_NOTICE "Unable to disable echo can on channel %d (reason %d:%d)\n", i + 1, res, algstatus);
 			return -1;
 		}
 
 		if (vpmdtmfsupport) {
 			if ((res = gpakAlgControl(vpm150m->dspid, i, DisableDTMFMuteA, &algstatus))) {
-				printk("Unable to disable dtmf muting  on channel %d (reason %d:%d)\n", i + 1, res, algstatus);
+				printk(KERN_NOTICE "Unable to disable dtmf muting  on channel %d (reason %d:%d)\n", i + 1, res, algstatus);
 				return -1;
 			}
 		}
 	}
 
 	if ((res = gpakPingDsp(vpm150m->dspid, &vpm150m->version))) {
-		printk("Error pinging DSP (%d)\n", res);
+		printk(KERN_NOTICE "Error pinging DSP (%d)\n", res);
 		return -1;
 	}
 
@@ -3254,7 +3255,7 @@
 	vpm150m->wc = wc;
 
 	if (!vpm150m->wq) {
-		printk("Unable to create work queue!\n");
+		printk(KERN_NOTICE "Unable to create work queue!\n");
 		return -1;
 	}
 
@@ -3305,7 +3306,7 @@
 #endif
 
 	if (!vpmsupport) {
-		printk("VPM: Support Disabled\n");
+		printk(KERN_NOTICE "VPM: Support Disabled\n");
 		wc->vpm150m = NULL;
 		return VPMADT032_DISABLED;
 	}
@@ -3313,7 +3314,7 @@
 	vpm150m = kmalloc(sizeof(struct vpm150m), GFP_KERNEL);
 
 	if (!vpm150m) {
-		printk("Unable to allocate VPM150M!\n");
+		printk(KERN_NOTICE "Unable to allocate VPM150M!\n");
 		return VPMADT032_FAILED;
 	}
 
@@ -3329,7 +3330,7 @@
 	}
 
 	if (debug & DEBUG_ECHOCAN)
-		printk("Setting VPMADT032 DSP ID to %d\n", vpm150m->dspid);
+		printk(KERN_DEBUG "Setting VPMADT032 DSP ID to %d\n", vpm150m->dspid);
 
 	spin_lock_irqsave(&wc->reglock, flags);
 	wc->vpm150m = vpm150m;
@@ -3339,7 +3340,7 @@
 		schluffen(&wc->regq);
 
 	if (debug & DEBUG_ECHOCAN)
-		printk("VPMADT032 Testing page access: ");
+		printk(KERN_DEBUG "VPMADT032 Testing page access: ");
 	for (i = 0; i < 0xf; i++) {
 		int x;
 		for (x = 0; x < 3; x++) {
@@ -3347,19 +3348,19 @@
 			reg = wctdm_vpm150m_getpage(wc);
 			if (reg != i) {
 				if (debug & DEBUG_ECHOCAN)
-					printk("Failed: Sent %x != %x VPMADT032 Failed HI page test\n", i, reg);
+					printk(KERN_DEBUG "Failed: Sent %x != %x VPMADT032 Failed HI page test\n", i, reg);
 				res = VPMADT032_NOT_FOUND;
 				goto failed_exit;
 			}
 		}
 	}
 	if (debug & DEBUG_ECHOCAN)
-		printk("Passed\n");
+		printk(KERN_DEBUG "Passed\n");
 
 	/* Set us up to page 0 */
 	wctdm_vpm150m_setpage(wc, 0);
 	if (debug & DEBUG_ECHOCAN)
-		printk("VPMADT032 now doing address test: ");
+		printk(KERN_DEBUG "VPMADT032 now doing address test: ");
 	for (i = 0; i < 16; i++) {
 		int x;
 		for (x = 0; x < 2; x++) {
@@ -3376,8 +3377,8 @@
 		printk("Passed\n");
 
 #ifndef VPM150M_SUPPORT
-	printk("Found VPMADT032 module but it is not able to function in anything less than a version 2.6 kernel\n");
-	printk("Please update your kernel to a 2.6 or later kernel to enable it\n");
+	printk(KERN_NOTICE "Found VPMADT032 module but it is not able to function in anything less than a version 2.6 kernel\n");
+	printk(KERN_NOTICE "Please update your kernel to a 2.6 or later kernel to enable it\n");
 	goto failed_exit;
 #else
 
@@ -3395,7 +3396,7 @@
 #if defined(HOTPLUG_FIRMWARE)
 		if ((request_firmware(&firmware, vpmadt032_firmware, &pdev->dev) != 0) ||
 		    !firmware) {
-			printk("VPMADT032: firmware %s not available from userspace\n", vpmadt032_firmware);
+			printk(KERN_NOTICE "VPMADT032: firmware %s not available from userspace\n", vpmadt032_firmware);
 			goto failed_exit;
 		}
 #else
@@ -3410,7 +3411,7 @@
 		while (test_bit(VPM150M_HPIRESET, &vpm150m->control))
 			schluffen(&wc->regq);
 
-		printk("VPMADT032 Loading firwmare... ");
+		printk(KERN_INFO "VPMADT032 Loading firwmare... ");
 		downloadstatus = gpakDownloadDsp(vpm150m->dspid, &fw);
 
 		if (firmware != &embedded_firmware)
@@ -3436,9 +3437,9 @@
 
 	if (!pingstatus) {
 		if (debug & DEBUG_ECHOCAN)
-			printk("Version of DSP is %x\n", vpm150m->version);
+			printk(KERN_DEBUG "Version of DSP is %x\n", vpm150m->version);
 	} else {
-		printk("VPMADT032 Failed! Unable to ping the DSP (%d)!\n", pingstatus);
+		printk(KERN_NOTICE "VPMADT032 Failed! Unable to ping the DSP (%d)!\n", pingstatus);
 		goto failed_exit;
 	}
 
@@ -3466,7 +3467,7 @@
 		wctdm_vpm_out(wc, x, 0xC4, (threshold >> 8) & 0xFF);
 		wctdm_vpm_out(wc, x, 0xC5, (threshold & 0xFF));
 	}
-	printk("VPM: DTMF threshold set to %d\n", threshold);
+	printk(KERN_INFO "VPM: DTMF threshold set to %d\n", threshold);
 }
 
 static void wctdm_vpm_init(struct wctdm *wc)
@@ -3478,7 +3479,7 @@
 	unsigned int i, x, y;
 
 	if (!vpmsupport) {
-		printk("VPM: Support Disabled\n");
+		printk(KERN_INFO "VPM: Support Disabled\n");
 		wc->vpm = 0;
 		return;
 	}
@@ -3486,16 +3487,16 @@
 	for (x=0;x<NUM_EC;x++) {
 		ver = wctdm_vpm_in(wc, x, 0x1a0); /* revision */
 		if (debug & DEBUG_ECHOCAN)
-			printk("VPM100: Chip %d: ver %02x\n", x, ver);
+			printk(KERN_DEBUG "VPM100: Chip %d: ver %02x\n", x, ver);
 		if (ver != 0x33) {
-			printk("VPM100: %s\n", x ? "Inoperable" : "Not Present");
+			printk(KERN_DEBUG "VPM100: %s\n", x ? "Inoperable" : "Not Present");
 			wc->vpm = 0;
 			return;
 		}	
 
 		if (!x) {
 			vpmver = wctdm_vpm_in(wc, x, 0x1a6) & 0xf;
-			printk("VPM Revision: %02x\n", vpmver);
+			printk(KERN_INFO "VPM Revision: %02x\n", vpmver);
 		}
 
 
@@ -3536,11 +3537,11 @@
 		reg &= 0xE0;
 		if (alawoverride) {
 			if (!x)
-				printk("VPM: A-law mode\n");
+				printk(KERN_INFO "VPM: A-law mode\n");
 			reg |= 0x01;
 		} else {
 			if (!x)
-				printk("VPM: U-law mode\n");
+				printk(KERN_INFO "VPM: U-law mode\n");
 			reg &= ~0x01;
 		}
 		wctdm_vpm_out(wc,x,0x20,(reg | 0x20));
@@ -3589,7 +3590,7 @@
 	else
 		wc->vpm = 1;
 
-	printk("Enabling VPM100 gain adjustments on any FXO ports found\n");
+	printk(KERN_INFO "Enabling VPM100 gain adjustments on any FXO ports found\n");
 	for (i = 0; i < wc->type; i++) {
 		if (wc->modtype[i] == MOD_TYPE_FXO) {
 			/* Apply negative Tx gain of 4.5db to DAA */
@@ -3653,10 +3654,10 @@
 			wc->cardflag |= (1 << x);
 			if (debug & DEBUG_CARD) {
 				readi = wctdm_getreg(wc,x,LOOP_I_LIMIT);
-				printk("Proslic module %d loop current is %dmA\n",x,
+				printk(KERN_DEBUG "Proslic module %d loop current is %dmA\n",x,
 					((readi*3)+20));
 			}
-			printk("Port %d: Installed -- AUTO FXS/DPO\n", x + 1);
+			printk(KERN_INFO "Port %d: Installed -- AUTO FXS/DPO\n", x + 1);
 		} else {
 			if(ret!=-2) {
 				sane=1;
@@ -3665,20 +3666,20 @@
 					wc->cardflag |= (1 << x);
                                 if (debug & DEBUG_CARD) {
                                         readi = wctdm_getreg(wc,x,LOOP_I_LIMIT);
-                                        printk("Proslic module %d loop current is %dmA\n",x,
+                                        printk(KERN_DEBUG "Proslic module %d loop current is %dmA\n",x,
                                  	       ((readi*3)+20));
                                 }
-					printk("Port %d: Installed -- MANUAL FXS\n",x + 1);
+					printk(KERN_INFO "Port %d: Installed -- MANUAL FXS\n",x + 1);
 				} else {
-					printk("Port %d: FAILED FXS (%s)\n", x + 1, fxshonormode ? fxo_modes[_opermode].name : "FCC");
+					printk(KERN_NOTICE "Port %d: FAILED FXS (%s)\n", x + 1, fxshonormode ? fxo_modes[_opermode].name : "FCC");
 					wc->chans[x]->sigcap = DAHDI_SIG_BROKEN | __DAHDI_SIG_FXO;
 				} 
 			} else if (!(ret = wctdm_init_voicedaa(wc, x, 0, 0, sane))) {
 				wc->cardflag |= (1 << x);
-				printk("Port %d: Installed -- AUTO FXO (%s mode)\n",x + 1, fxo_modes[_opermode].name);
+				printk(KERN_INFO "Port %d: Installed -- AUTO FXO (%s mode)\n",x + 1, fxo_modes[_opermode].name);
  			} else if (!wctdm_init_qrvdri(wc,x)) {
  				wc->cardflag |= 1 << x;
- 				printk("Port %d: Installed -- QRV DRI card\n",x + 1);
+ 				printk(KERN_INFO "Port %d: Installed -- QRV DRI card\n",x + 1);
 			} else {
  				if ((wc->type != 24) && ((x & 0x3) == 1) && !wc->altcs[x]) {
  					spin_lock_irqsave(&wc->reglock, flags);
@@ -3696,10 +3697,10 @@
  					wc->modtype[x] = MOD_TYPE_FXS;
  					spin_unlock_irqrestore(&wc->reglock, flags);
  					if (debug & DEBUG_CARD)
- 						printk("Trying port %d with alternate chip select\n", x + 1);
+ 						printk(KERN_DEBUG "Trying port %d with alternate chip select\n", x + 1);
  					goto retry;
 				} else {
- 					printk("Port %d: Not installed\n", x + 1);
+ 					printk(KERN_NOTICE "Port %d: Not installed\n", x + 1);
  					wc->modtype[x] = MOD_TYPE_NONE;
  					wc->cardflag |= (1 << x);
  				}
@@ -3709,7 +3710,7 @@
 #ifdef VPM_SUPPORT
 	wctdm_vpm_init(wc);
 	if (wc->vpm) {
-		printk("VPM: Present and operational (Rev %c)\n", 'A' + wc->vpm - 1);
+		printk(KERN_INFO "VPM: Present and operational (Rev %c)\n", 'A' + wc->vpm - 1);
 		wc->ctlreg |= 0x10;
 	} else {
 		enum vpmadt032_init_result res;
@@ -3724,7 +3725,7 @@
 		}
 		switch (res) {
 		case VPMADT032_SUCCESS:
-			printk("VPMADT032: Present and operational (Firmware version %x)\n", wc->vpm150m->version);
+			printk(KERN_INFO "VPMADT032: Present and operational (Firmware version %x)\n", wc->vpm150m->version);
 			wc->ctlreg |= 0x10;
 			break;
 		case VPMADT032_DISABLED:
@@ -3854,13 +3855,13 @@
 	
 	/* We should be ready for DAHDI to come in now. */
 	if (dahdi_register(&wc->span, 0)) {
-		printk("Unable to register span with DAHDI\n");
+		printk(KERN_NOTICE "Unable to register span with DAHDI\n");
 		return -1;
 	}
 
 	wc->initialized = 1;
 
-	printk("Found a Wildcard TDM: %s (%d modules)\n", wc->variety, wc->type);
+	printk(KERN_INFO "Found a Wildcard TDM: %s (%d modules)\n", wc->variety, wc->type);
 	ret = 0;
 	
 	return ret;
@@ -3920,7 +3921,7 @@
 		/* Release span, possibly delayed */
 		if (!wc->usecount) {
 			wctdm_release(wc);
-			printk("Freed a Wildcard\n");
+			printk(KERN_INFO "Freed a Wildcard\n");
 		}
 		else
 			wc->dead = 1;
@@ -3960,10 +3961,10 @@
 	if (x < sizeof(fxo_modes) / sizeof(fxo_modes[0])) {
 		_opermode = x;
 	} else {
-		printk("Invalid/unknown operating mode '%s' specified.  Please choose one of:\n", opermode);
+		printk(KERN_NOTICE "Invalid/unknown operating mode '%s' specified.  Please choose one of:\n", opermode);
 		for (x = 0; x < sizeof(fxo_modes) / sizeof(fxo_modes[0]); x++)
-			printk("  %s\n", fxo_modes[x].name);
-		printk("Note this option is CASE SENSITIVE!\n");
+			printk(KERN_NOTICE "  %s\n", fxo_modes[x].name);
+		printk(KERN_NOTICE "Note this option is CASE SENSITIVE!\n");
 		return -ENODEV;
 	}
 
Index: drivers/dahdi/wctdm24xxp/GpakApi.c
===================================================================
--- drivers/dahdi/wctdm24xxp/GpakApi.c	(revision 4608)
+++ drivers/dahdi/wctdm24xxp/GpakApi.c	(working copy)
@@ -951,7 +951,7 @@
             {
                 gpakUnlockAccess(DspId);
 #if 0
-		printk("EventDataLength > WORD_BUFFER_SIZE (%d)\n", EventDataLength);
+		printk(KERN_DEBUG "EventDataLength > WORD_BUFFER_SIZE (%d)\n", EventDataLength);
 #endif
                 return (RefInvalidEvent);
             }
@@ -967,7 +967,7 @@
                 TakeIndex -= BufrSize;
             if (EventDataLength != 4) {
 #if 0
-		    printk("EventDataLength != 4 it's %d\n", EventDataLength);
+		    printk(KERN_DEBUG "EventDataLength != 4 it's %d\n", EventDataLength);
 #endif
                 EventError = 1;
 	    }
@@ -975,7 +975,7 @@
 
         default:
 #if 0
-	    printk("Event Code not in switch\n");
+	    printk(KERN_DEBUG "Event Code not in switch\n");
 #endif
             EventError = 1;
             break;
Index: drivers/dahdi/wctc4xxp/base.c
===================================================================
--- drivers/dahdi/wctc4xxp/base.c	(revision 4608)
+++ drivers/dahdi/wctc4xxp/base.c	(working copy)
@@ -284,7 +284,7 @@
 			down(&wc->cmdqsem); \
 	 		wc->last_command_sent = hex; \
 			if ( (((wc->cmdq_wndx + 1) % MAX_COMMANDS) == wc->cmdq_rndx) && debug ) \
-				printk("wcdte error: cmdq is full.\n"); \
+				printk(KERN_NOTICE "wcdte error: cmdq is full.\n"); \
 			else { \
 				unsigned char fifo[OTHER_CMD_LEN] = command; \
 				int i; \
@@ -439,7 +439,7 @@
 	if (debug_des_cnt == 0)
 		return 1;
 
-	printk("Transmit Descriptors (wc->tdbl = %d)\n", wc->tdbl);
+	printk(KERN_DEBUG "Transmit Descriptors (wc->tdbl = %d)\n", wc->tdbl);
 	for (i = 0; i < ERING_SIZE; i++)
 	{
 		writechunk = (volatile unsigned char *)(wc->writechunk);
@@ -447,9 +447,9 @@
 		o2 = i * 4;
 
 		if (i == wc->tdbl)
-			printk("->");
+			printk(KERN_DEBUG "->");
 		else
-			printk("  ");
+			printk(KERN_DEBUG "  ");
 		if ((le32_to_cpu(wc->descripchunk[o2]) & 0x80000000))
 			printk("AN983 owns : ");
 		else
@@ -460,7 +460,7 @@
 		printk("\n");
 	}
 
-	printk("Receive Descriptors (wc->rdbl = %d)\n", wc->rdbl);
+	printk(KERN_DEBUG "Receive Descriptors (wc->rdbl = %d)\n", wc->rdbl);
 	for (i = 0; i < ERING_SIZE; i++)
 	{
 		readchunk = (volatile unsigned char *)wc->readchunk;
@@ -469,9 +469,9 @@
 		o2 += ERING_SIZE * 4;
 
 		if (i == wc->rdbl)
-			printk("->");
+			printk(KERN_DEBUG "->");
 		else
-			printk("  ");
+			printk(KERN_DEBUG "  ");
 		if ((le32_to_cpu(wc->descripchunk[o2]) & 0x80000000))
 			printk("AN983 owns : ");
 		else
@@ -643,7 +643,7 @@
 
 	if (debug_packets && (writechunk[12] == 0x88) && (writechunk[13] == 0x9B))
 	{
-		printk("wcdte debug: TX: ");
+		printk(KERN_DEBUG "wcdte debug: TX: ");
 		for (i=0; i<debug_packets; i++)
 			printk("%02X ", writechunk[i]);
 		printk("\n");
@@ -829,7 +829,7 @@
 					down(&wc->cmdqsem);
 		
 					if ( (((wc->cmdq_wndx + 1) % MAX_COMMANDS) == wc->cmdq_rndx) && debug )
-						printk("wcdte error: cmdq is full.\n");
+						printk(KERN_NOTICE "wcdte error: cmdq is full.\n");
 					else
 					{
 						wc->cmdq[wc->cmdq_wndx].cmdlen = CMD_MSG_IP_UDP_RTP_LEN+inbytes;
@@ -887,7 +887,7 @@
 	{
 		if (debug_packets)
 		{
-			printk("wcdte debug: RX: ");
+			printk(KERN_DEBUG "wcdte debug: RX: ");
 			for (i=0; i<debug_packets; i++)
 				printk("%02X ", readchunk[i]);
 			printk("\n");
@@ -902,7 +902,7 @@
 			down(&wc->cmdqsem);
 			if ((readchunk[17] & 0x40) == 0) {
 				if ( (((wc->cmdq_wndx + 1) % MAX_COMMANDS) == wc->cmdq_rndx) && debug )
-					printk("wcdte error: cmdq is full (rndx = %d, wndx = %d).\n", wc->cmdq_rndx, wc->cmdq_wndx);
+					printk(KERN_NOTICE "wcdte error: cmdq is full (rndx = %d, wndx = %d).\n", wc->cmdq_rndx, wc->cmdq_wndx);
 				else
 				{
 					unsigned char fifo[OTHER_CMD_LEN] = CMD_MSG_ACK(rseq++, rchannel);
@@ -923,7 +923,7 @@
 				wake_up(&wc->regq);
 			} else {
 				if (debug)
-				printk("wcdte error: unexpected command response received (sent: %04X, received: %04X)\n", wc->last_command_sent, rcommand);
+				printk(KERN_DEBUG "wcdte error: unexpected command response received (sent: %04X, received: %04X)\n", wc->last_command_sent, rcommand);
 			}
 			up(&wc->cmdqsem);
 		}
@@ -940,7 +940,7 @@
 		if ((readchunk[22] == 0x75) && (readchunk[23] = 0xC1))
 		{
 			if (debug)
-				printk("wcdte error: received alert (0x%02X%02X) from dsp\n", readchunk[29], readchunk[28]);
+				printk(KERN_DEBUG "wcdte error: received alert (0x%02X%02X) from dsp\n", readchunk[29], readchunk[28]);
 			if (debug_des) {
 				down(&wc->cmdqsem);
 				__dump_descriptors(wc);
@@ -949,6 +949,7 @@
 		}
 
 		if (wc->dumping && (readchunk[22] == 0x04) && (readchunk[23] = 0x14)) {
+			printk(KERN_DEBUG);
 			for (i = 27; i < 227; i++)
 				printk("%02X ", readchunk[i]);
 			printk("\n");
@@ -969,7 +970,7 @@
 		if (ztc_ndx >= wc->numchannels)
 		{
 			if (debug)
-				printk("wcdte error: Invalid channel number received (ztc_ndx = %d) (numchannels = %d)\n", ztc_ndx, wc->numchannels);
+				printk(KERN_DEBUG "wcdte error: Invalid channel number received (ztc_ndx = %d) (numchannels = %d)\n", ztc_ndx, wc->numchannels);
 			rcodec = DTE_FORMAT_UNDEF;
 		}
 
@@ -982,7 +983,7 @@
 			if (zth == NULL)
 			{
 				if (debug)
-					printk("wcdte error: Tried to put DTE data into a freed zth header! (ztc_ndx = %d, ztc->chan_built = %d)\n", ztc_ndx, ztc->chan_built);
+					printk(KERN_DEBUG "wcdte error: Tried to put DTE data into a freed zth header! (ztc_ndx = %d, ztc->chan_built = %d)\n", ztc_ndx, ztc->chan_built);
 				if (debug_des) {
 					down(&wc->cmdqsem);
 					__dump_descriptors(wc);
@@ -1005,7 +1006,7 @@
 			if (zth == NULL)
 			{
 				if (debug)
-					printk("wcdte error: Tried to put DTE data into a freed zth header! (ztc_ndx = %d, ztc->chan_built = %d)\n", ztc_ndx, ztc->chan_built);
+					printk(KERN_DEBUG "wcdte error: Tried to put DTE data into a freed zth header! (ztc_ndx = %d, ztc->chan_built = %d)\n", ztc_ndx, ztc->chan_built);
 				if (debug_des) {
 					down(&wc->cmdqsem);
 					__dump_descriptors(wc);
@@ -1026,7 +1027,7 @@
 		} else {
 			rtp_eseq = (st->last_dte_seqno + 1) & 0xFFFF;
 			if ( (rtp_rseq != rtp_eseq) && debug )
-				printk("wcdte error: Bad seqno from DTE! [%04X][%d][%d][%d]\n", (readchunk[37] | (readchunk[36] << 8)), rchannel, rtp_rseq, st->last_dte_seqno);
+				printk(KERN_NOTICE "wcdte error: Bad seqno from DTE! [%04X][%d][%d][%d]\n", (readchunk[37] | (readchunk[36] << 8)), rchannel, rtp_rseq, st->last_dte_seqno);
 
 			st->last_dte_seqno = rtp_rseq;
 		}
@@ -1198,28 +1199,28 @@
 	}
 		
 	if ((ints & 0x00008000) && debug)
-		printk("wcdte: Abnormal Interrupt: ");
+		printk(KERN_DEBUG "wcdte: Abnormal Interrupt: \n");
 
 	if ((ints & 0x00002000) && debug)
-		printk("wcdte: Fatal Bus Error INT\n");
+		printk(KERN_DEBUG "wcdte: Fatal Bus Error INT\n");
 
 	if ((ints & 0x00000100) && debug)
-		printk("wcdte: Receive Stopped INT\n");
+		printk(KERN_DEBUG "wcdte: Receive Stopped INT\n");
 
 	if ((ints & 0x00000080) && debug)
-		printk("wcdte: Receive Desciptor Unavailable INT\n");
+		printk(KERN_DEBUG "wcdte: Receive Desciptor Unavailable INT\n");
 
 	if ((ints & 0x00000020) && debug)
-		printk("wcdte: Transmit Under-flow INT\n");
+		printk(KERN_DEBUG "wcdte: Transmit Under-flow INT\n");
 
 	if ((ints & 0x00000008) && debug)
-		printk("wcdte: Jabber Timer Time-out INT\n");
+		printk(KERN_DEBUG "wcdte: Jabber Timer Time-out INT\n");
 
 	if ((ints & 0x00000004) && debug)
-		printk("wcdte: Transmit Descriptor Unavailable INT\n");
+		printk(KERN_DEBUG "wcdte: Transmit Descriptor Unavailable INT\n");
 
 	if ((ints & 0x00000002) && debug)
-		printk("wcdte: Transmit Processor Stopped INT\n");
+		printk(KERN_DEBUG "wcdte: Transmit Processor Stopped INT\n");
 
 	return IRQ_RETVAL(1);
 	
@@ -1335,13 +1336,13 @@
 	if (ret < 0)
 	{
 		if (debug)
-			printk("wcdte error: Wait interrupted, need to stop boot (ret = %d)\n", ret);
+			printk(KERN_DEBUG "wcdte error: Wait interrupted, need to stop boot (ret = %d)\n", ret);
 		return(1);
 	}
 	if (ret == 0)
 	{
 		if (debug)
-			printk("wcdte error: Waitfor CSMENCAPS response timed out (ret = %d) (cmd_snt = %04X)\n", ret, wc->last_command_sent);
+			printk(KERN_DEBUG "wcdte error: Waitfor CSMENCAPS response timed out (ret = %d) (cmd_snt = %04X)\n", ret, wc->last_command_sent);
 		if (debug_des) {
 			down(&wc->cmdqsem);
 			__dump_descriptors(wc);
@@ -1432,7 +1433,7 @@
 	/* Turn off auto negotiation */
 	wcdte_write_phy(wc, 0, 0x2100);
 	if (debug)
-		printk("wcdte: PHY register 0 = %X", wcdte_read_phy(wc, 0));
+		printk(KERN_DEBUG "wcdte: PHY register 0 = %X", wcdte_read_phy(wc, 0));
 
 	/* Set reset */
 	wcdte_setctl(wc, 0x00A0, 0x04000000);
@@ -1453,7 +1454,7 @@
 
 		if (delay_count >= 5000)
 		{
-			printk("wcdte error: Failed to link to DTE processor!\n");
+			printk(KERN_NOTICE "wcdte error: Failed to link to DTE processor!\n");
 			return(1);
 		}
 	} while ((reg & 0xE0000000) != 0xE0000000);
@@ -1467,7 +1468,7 @@
 
 	reg = wcdte_getctl(wc, 0x00fc);
 	if (debug)
-		printk("wcdte: LINK STATUS: reg(0xfc) = %X\n", reg);
+		printk(KERN_DEBUG "wcdte: LINK STATUS: reg(0xfc) = %X\n", reg);
 
 	reg = wcdte_getctl(wc, 0x00A0);
 
@@ -1482,7 +1483,7 @@
 		
 		down(&wc->cmdqsem);
 		if ( (((wc->cmdq_wndx + 1) % MAX_COMMANDS) == wc->cmdq_rndx) && debug )
-			printk("wcdte error: cmdq is full.\n");
+			printk(KERN_NOTICE "wcdte error: cmdq is full.\n");
 		else
 		{
 			wc->cmdq[wc->cmdq_wndx].cmdlen = length;
@@ -1516,7 +1517,7 @@
 	/* Turn on booted LED */
 	wcdte_setctl(wc, 0x00A0, 0x04080000);
 	if(debug)
-		printk("wcdte: Successfully booted DTE processor.\n");
+		printk(KERN_DEBUG "wcdte: Successfully booted DTE processor.\n");
 
 	return(0);
 }
@@ -1674,7 +1675,7 @@
 	for (x=0;x<WC_MAX_IFACES;x++)
 		if (!ifaces[x]) break;
 	if (x >= WC_MAX_IFACES) {
-		printk("wcdte: Too many interfaces\n");
+		printk(KERN_NOTICE "wcdte: Too many interfaces\n");
 		return -EIO;
 	}
 
@@ -1718,7 +1719,7 @@
 			/* Allocate enought memory for all TX buffers, RX buffers, and descriptors */
 			wc->writechunk = (int *)pci_alloc_consistent(pdev, PCI_WINDOW_SIZE, &wc->writedma);
 			if (!wc->writechunk) {
-				printk("wcdte error: Unable to allocate DMA-able memory\n");
+				printk(KERN_NOTICE "wcdte error: Unable to allocate DMA-able memory\n");
 				if (wc->freeregion)
 					release_region(wc->iobase, 0xff);
 				return -ENOMEM;
@@ -1747,7 +1748,7 @@
 #if defined(HOTPLUG_FIRMWARE)
 			if ((request_firmware(&firmware, tc400m_firmware, &wc->dev->dev) != 0) ||
 			    !firmware) {
-				printk("TC400M: firmware %s not available from userspace\n", tc400m_firmware);
+				printk(KERN_NOTICE "TC400M: firmware %s not available from userspace\n", tc400m_firmware);
 				return -EIO;
 			}
 #else
@@ -1825,7 +1826,7 @@
 			dahdi_transcoder_register(uencode);
 			dahdi_transcoder_register(udecode);
 
-			printk("DAHDI DTE (%s) Transcoder support LOADED (firm ver = %d.%d)\n", wc->complexname, dte_firmware_ver, dte_firmware_ver_minor);
+			printk(KERN_INFO "DAHDI DTE (%s) Transcoder support LOADED (firm ver = %d.%d)\n", wc->complexname, dte_firmware_ver, dte_firmware_ver_minor);
 
 
 			/* Enable bus mastering */
@@ -1835,7 +1836,7 @@
 			pci_set_drvdata(pdev, wc);
 
 			if (request_irq(pdev->irq, wcdte_interrupt, DAHDI_IRQ_SHARED, "tc400b", wc)) {
-				printk("wcdte error: Unable to request IRQ %d\n", pdev->irq);
+				printk(KERN_NOTICE "wcdte error: Unable to request IRQ %d\n", pdev->irq);
 				if (wc->freeregion)
 					release_region(wc->iobase, 0xff);
 				pci_free_consistent(pdev, PCI_WINDOW_SIZE, (void *)wc->writechunk, wc->writedma);
@@ -1898,12 +1899,12 @@
 
 			reg = wcdte_getctl(wc, 0x00fc);
 			if (debug)
-				printk("wcdte debug: (post-boot) Reg fc is %08x\n", reg);
+				printk(KERN_DEBUG "wcdte debug: (post-boot) Reg fc is %08x\n", reg);
 			
-			printk("Found and successfully installed a Wildcard TC: %s \n", wc->variety);
+			printk(KERN_INFO "Found and successfully installed a Wildcard TC: %s \n", wc->variety);
 			if (debug) {
-				printk("TC400B operating in DEBUG mode\n");
-				printk("debug_des = %d, debug_des_cnt = %d, force_alert = %d,\n debug_notimeout = %d, debug_packets = %d\n", 
+				printk(KERN_DEBUG "TC400B operating in DEBUG mode\n");
+				printk(KERN_DEBUG "debug_des = %d, debug_des_cnt = %d, force_alert = %d,\n debug_notimeout = %d, debug_packets = %d\n", 
 					debug_des, debug_des_cnt, force_alert, debug_notimeout, debug_packets);
 			}
 			res = 0;
@@ -1930,8 +1931,8 @@
 	if (wc) {
 		if (debug)
 		{
-			printk("wcdte debug: wc->ztsnd_rtx = %d\n", wc->ztsnd_rtx);
-			printk("wcdte debug: wc->ztsnd_0010_rtx = %d\n", wc->ztsnd_0010_rtx);
+			printk(KERN_DEBUG "wcdte debug: wc->ztsnd_rtx = %d\n", wc->ztsnd_rtx);
+			printk(KERN_DEBUG "wcdte debug: wc->ztsnd_0010_rtx = %d\n", wc->ztsnd_0010_rtx);
 						
 			for(i = 0; i < wc->numchannels; i++)
 			{
@@ -1941,8 +1942,8 @@
 				ztc_de = &(wc->udecode->channels[i]);
 				st_de = ztc_de->pvt;
 
-				printk("wcdte debug: en[%d] snt = %d, rcv = %d [%d]\n", i, st_en->packets_sent, st_en->packets_received, st_en->packets_sent - st_en->packets_received);
-				printk("wcdte debug: de[%d] snt = %d, rcv = %d [%d]\n", i, st_de->packets_sent, st_de->packets_received, st_de->packets_sent - st_de->packets_received);
+				printk(KERN_DEBUG "wcdte debug: en[%d] snt = %d, rcv = %d [%d]\n", i, st_en->packets_sent, st_en->packets_received, st_en->packets_sent - st_en->packets_received);
+				printk(KERN_DEBUG "wcdte debug: de[%d] snt = %d, rcv = %d [%d]\n", i, st_de->packets_sent, st_de->packets_received, st_de->packets_sent - st_de->packets_received);
 			}
 		}
 
